/**
 * Test case for scff.
 * Runs with mocha.
 */
"use strict";

const scff = require('../lib/scff.js'),
    assert = require('assert'),
    apemanScff = require('apeman-scff');

describe('scff', () => {

    let tmpDir = `${__dirname}/../tmp`;

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Scff', (done) => {
        apemanScff(scff, `${tmpDir}/my-awesome-project`, {
            silent: false,
            force: true,
            straight: true
        }, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

